# OpenML dataset: COVID-19-World-Vaccination-Progress

https://www.openml.org/d/43349

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

Context
Data is collected daily from Our World in Data GitHub repository for covid-19, merged and uploaded.

Content
The data contains the following information:

Country- this is the  country for which the vaccination information is provided;   
Country ISO Code - ISO code for the country;   
Date - date for the data entry; for some of the dates we have only the daily vaccinations, for others, only the (cumulative) total;   
Total number of vaccinations - this is the absolute number of total immunizations in the country;  
Total number of people vaccinated - a person, depending on the immunization scheme, will receive one or more (typically 2) vaccines; at a certain moment, the number of vaccination might be larger than the number of people;  
Total number of people fully vaccinated - this is the number of people that received the entire set of immunization according to the immunization scheme (typically 2); at a certain moment in time, there might be a certain number of people that received one vaccine and another number (smaller) of people that received all vaccines in the scheme;  
Daily vaccinations (raw) - for a certain data entry, the number of vaccination for that date/country;  
Daily vaccinations - for a certain data entry, the number of vaccination for that date/country;  
Total vaccinations per hundred - ratio (in percent) between vaccination number and total population up to the date in the country;  
Total number of people vaccinated per hundred - ratio (in percent) between population immunized and total population up to the date in the country;  
Total number of people fully vaccinated per hundred - ratio (in percent) between population fully immunized and total population up to the date in the country;   
Number of vaccinations per day - number of daily vaccination for that day and country;   
Daily vaccinations per million -  ratio (in ppm) between vaccination number and total population for the current date in the country;    
Vaccines used in the country - total number of vaccines used in the country (up to date);    
Source name - source of the information (national authority, international organization, local organization etc.);   
Source website - website of the source of information;    

Acknowledgements
I would like to specify that I am only making available Our World in Data collected data about vaccinations to Kagglers. My contribution is very small, just daily collection, merge and upload of the updated version, as maintained by Our World in Data in their GitHub repository.
Inspiration
Track COVID-19 vaccination in the World, answer instantly to your questions:   

Which country is using what vaccine?   
In which country the vaccination programme is more advanced?   
Where are vaccinated more people per day? But in terms of percent from entire population ?

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/43349) of an [OpenML dataset](https://www.openml.org/d/43349). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/43349/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/43349/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/43349/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

